Share via


Load Test Resource - Create Or Update

Create a LoadTestResource

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.LoadTestService/loadTests/{loadTestName}?api-version=2024-12-01-preview

URI Parameters

Name In Required Type Description
loadTestName
path True

string

Load Test name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
location True

string

The geo-location where the resource lives

identity

ManagedServiceIdentity

The managed service identities assigned to this resource.

properties.description

string

maxLength: 512

Description of the resource.

properties.encryption

EncryptionProperties

CMK Encryption property.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

LoadTestResource

Resource 'LoadTestResource' update operation succeeded

201 Created

LoadTestResource

Resource 'LoadTestResource' create operation succeeded

Headers

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create a LoadTestResource

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.LoadTestService/loadTests/myLoadTest?api-version=2024-12-01-preview

{
  "location": "westus",
  "tags": {
    "Team": "Dev Exp"
  },
  "identity": {
    "type": "SystemAssigned,UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1": {}
    }
  },
  "properties": {
    "description": "This is new load test resource",
    "encryption": {
      "identity": {
        "type": "UserAssigned",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1"
      },
      "keyUrl": "https://dummy.vault.azure.net/keys/dummykey1"
    }
  }
}

Sample response

{
  "location": "westus",
  "identity": {
    "type": "SystemAssigned,UserAssigned",
    "principalId": "12345678-1234-1234-1234-123456789012",
    "tenantId": "12345678-1234-1234-4321-123456789012",
    "userAssignedIdentities": {
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1": {
        "principalId": "12345678-1234-4321-1234-123456789012",
        "clientId": "12345678-4321-1234-1234-123456789012"
      }
    }
  },
  "properties": {
    "description": "This is new load test resource",
    "dataPlaneURI": "https://myLoadTest.00000000-0000-0000-0000-000000000000.cnt-dp.domain.com",
    "provisioningState": "Succeeded",
    "encryption": {
      "identity": {
        "type": "UserAssigned",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1"
      },
      "keyUrl": "https://dummy.vault.azure.net/keys/dummykey1"
    }
  },
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.LoadTestService/loadTests/myLoadTest",
  "name": "myLoadTest",
  "type": "Microsoft.LoadTestService/loadTests",
  "tags": {
    "Team": "Dev Exp"
  },
  "systemData": {
    "createdBy": "userId1001",
    "createdByType": "User",
    "createdAt": "2021-09-28T12:32:33Z",
    "lastModifiedBy": "userId1001",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2021-09-28T12:32:33Z"
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.loadtestservice/locations/WESTUS/operationStatuses/abc?api-version=2022-12-01
{
  "location": "westus",
  "identity": {
    "type": "SystemAssigned,UserAssigned",
    "principalId": "12345678-1234-1234-1234-123456789012",
    "tenantId": "12345678-1234-1234-4321-123456789012",
    "userAssignedIdentities": {
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1": {
        "principalId": "12345678-1234-4321-1234-123456789012",
        "clientId": "12345678-4321-1234-1234-123456789012"
      }
    }
  },
  "properties": {
    "description": "This is new load test resource",
    "dataPlaneURI": "https://myLoadTest.00000000-0000-0000-0000-000000000000.cnt-dp.domain.com",
    "provisioningState": "Succeeded",
    "encryption": {
      "identity": {
        "type": "UserAssigned",
        "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1"
      },
      "keyUrl": "https://dummy.vault.azure.net/keys/dummykey1"
    }
  },
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.LoadTestService/loadTests/myLoadTest",
  "name": "myLoadTest",
  "type": "Microsoft.LoadTestService/loadTests",
  "tags": {
    "Team": "Dev Exp"
  },
  "systemData": {
    "createdBy": "userId1001",
    "createdByType": "User",
    "createdAt": "2021-09-28T12:32:33Z",
    "lastModifiedBy": "userId1001",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2021-09-28T12:32:33Z"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

EncryptionProperties

Key and identity details for Customer Managed Key encryption of load test resource.

EncryptionPropertiesIdentity

All identity configuration for Customer-managed key settings defining which identity should be used to auth to Key Vault.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

LoadTestResource

LoadTest details.

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

ResourceState

Resources provisioning states.

systemData

Metadata pertaining to creation and last modification of the resource.

type

Managed identity type to use for accessing encryption key Url.

UserAssignedIdentity

User assigned identity properties

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

EncryptionProperties

Key and identity details for Customer Managed Key encryption of load test resource.

Name Type Description
identity

EncryptionPropertiesIdentity

All identity configuration for Customer-managed key settings defining which identity should be used to auth to Key Vault.

keyUrl

string

key encryption key Url, versioned. Ex: https://contosovault.vault.azure.net/keys/contosokek/562a4bb76b524a1493a6afe8e536ee78 or https://contosovault.vault.azure.net/keys/contosokek.

EncryptionPropertiesIdentity

All identity configuration for Customer-managed key settings defining which identity should be used to auth to Key Vault.

Name Type Description
resourceId

string

User assigned identity to use for accessing key encryption key Url. Ex: /subscriptions/a0a0a0a0-bbbb-cccd-dddd-e1e1e1e1e1e1/resourceGroups/<resource group>/providers/Microsoft.ManagedIdentity/userAssignedIdentities/myId.

type

type

Managed identity type to use for accessing encryption key Url.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

LoadTestResource

LoadTest details.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ManagedServiceIdentity

The managed service identities assigned to this resource.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.dataPlaneURI

string

maxLength: 2083

Resource data plane URI.

properties.description

string

maxLength: 512

Description of the resource.

properties.encryption

EncryptionProperties

CMK Encryption property.

properties.provisioningState

ResourceState

Resource provisioning state.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned Identities
The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Value Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

ResourceState

Resources provisioning states.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Deleted

Deleted state.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

type

Managed identity type to use for accessing encryption key Url.

Value Description
SystemAssigned

System assigned identity.

UserAssigned

User assigned identity.

UserAssignedIdentity

User assigned identity properties

Name Type Description
clientId

string (uuid)

The client ID of the assigned identity.

principalId

string (uuid)

The principal ID of the assigned identity.